"use strict";
/*
 * @adonisjs/mail
 *
 * (c) Harminder Virk <virk@adonisjs.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
/**
 * Mail provider to register mail specific bindings
 */
class MailBuilderProvider {
    constructor(application) {
        this.application = application;
    }
    register() {
        this.application.container.singleton('Adonis/Addons/MailBuilder', () => {
            const config = this.application.container.use('Adonis/Core/Config').get('mailbuilder', {});
            return new src_1.MailBuilderManager(config);
        });
    }
}
exports.default = MailBuilderProvider;
